Bug 1563466 - guile broken on big-endian architectures?
Summary: guile broken on big-endian architectures?
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: guile
Version: 28
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F-ExcludeArch-s390x PPCTracker
TreeView+ depends on / blocked
 
Reported: 2018-04-04 01:51 UTC by Bill Nottingham
Modified: 2019-05-28 19:49 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-05-28 19:49:34 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2018-04-04 01:51:41 UTC
Description of problem:

guile is segfaulting when compiling certain scheme files on big-endian arches.

https://koji.fedoraproject.org/koji/taskinfo?taskID=26153710

Both the s390x and ppc64 builds fail.

ppc64:
[ 43%] Generating ../../lib64/gnucash/scm/ccache/2.0/gnucash/unittest-support.go
cd /builddir/build/BUILD/gnucash-3.0/common/test-core && /usr/bin/cmake -E env LD_LIBRARY_PATH=/builddir/build/BUILD/gnucash-3.0/lib64:/builddir/build/BUILD/gnucash-3.0/lib64/gnucash: GNC_UNINSTALLED=YES GNC_BUILDDIR=/builddir/build/BUILD/gnucash-3.0 GUILE_LOAD_PATH=/builddir/build/BUILD/gnucash-3.0/common/test-core GUILE_LOAD_COMPILED_PATH=/builddir/build/BUILD/gnucash-3.0/lib64/gnucash/scm/ccache/2.0 GNC_MODULE_PATH=/builddir/build/BUILD/gnucash-3.0/lib64:/builddir/build/BUILD/gnucash-3.0/lib64/gnucash: /usr/bin/guile -e '(@@ (guild) main)' -s /usr/bin/guild compile -o /builddir/build/BUILD/gnucash-3.0/lib64/gnucash/scm/ccache/2.0/gnucash/unittest-support.go /builddir/build/BUILD/gnucash-3.0/common/test-core/unittest-support.scm
make[2]: Leaving directory '/builddir/build/BUILD/gnucash-3.0'
Segmentation fault
make[2]: *** [common/test-core/CMakeFiles/scm-test-core.dir/build.make:65: lib64/gnucash/scm/ccache/2.0/gnucash/unittest-support.go] Error 1

s390x:
[ 49%] Generating ../../lib64/gnucash/scm/ccache/2.0/gnucash/gettext.go
cd /builddir/build/BUILD/gnucash-3.0/libgnucash/app-utils && /usr/bin/cmake -E env LD_LIBRARY_PATH=/builddir/build/BUILD/gnucash-3.0/lib64:/builddir/build/BUILD/gnucash-3.0/lib64/gnucash: GNC_UNINSTALLED=YES GNC_BUILDDIR=/builddir/build/BUILD/gnucash-3.0 GUILE_LOAD_PATH=/builddir/build/BUILD/gnucash-3.0/libgnucash/app-utils GUILE_LOAD_COMPILED_PATH=/builddir/build/BUILD/gnucash-3.0/lib64/gnucash/scm/ccache/2.0 GNC_MODULE_PATH=/builddir/build/BUILD/gnucash-3.0/lib64:/builddir/build/BUILD/gnucash-3.0/lib64/gnucash: /usr/bin/guile -e '(@@ (guild) main)' -s /usr/bin/guild compile -o /builddir/build/BUILD/gnucash-3.0/lib64/gnucash/scm/ccache/2.0/gnucash/gettext.go /builddir/build/BUILD/gnucash-3.0/libgnucash/app-utils/gettext.scm
make[2]: Leaving directory '/builddir/build/BUILD/gnucash-3.0'
Segmentation fault
make[2]: *** [libgnucash/app-utils/CMakeFiles/scm-gettext.dir/build.make:65: lib64/gnucash/scm/ccache/2.0/gnucash/gettext.go] Error 1

Version-Release number of selected component (if applicable):
guile-2.0.14-7.fc28

How reproducible:

100% 

Steps to Reproduce:
1. attempt to build gnucash

Actual results:

works

Expected results:

weird segfaults

Additional info:

It's consistent on the same files so far. Have not extracted a backtrace yet.

Comment 1 Miroslav Lichvar 2018-04-04 07:42:29 UTC
I suspect this will be tricky for debugging.

The gnucash-3.0 announcement says they now support guile-2.2. Have you tried it?

Comment 2 Dan Horák 2018-04-04 08:07:27 UTC
Is this problem tied to some gnucash or guile version?

Comment 3 Bill Nottingham 2018-04-04 14:12:59 UTC
Happened in F28 and rawhide (crashes in same place). Does not happen in F27. So it may be gcc-8 related.

I have not tried guile-2.2 yet.

I should be able to  at least get a backtrace with access to a test VM, but I don't have that at the moment.

Comment 4 Bill Nottingham 2018-04-04 15:23:29 UTC
... actually, it does happen on F27 as well. https://koji.fedoraproject.org/koji/taskinfo?taskID=26167995

Comment 5 Bill Nottingham 2018-04-04 15:34:50 UTC
guile 2.2 is similarly broken:

s390x:
...
[ 49%] Generating ../../lib64/gnucash/scm/ccache/2.2/gnucash/gettext.go
cd /builddir/build/BUILD/gnucash-3.0/libgnucash/app-utils && /usr/bin/cmake -E env LD_LIBRARY_PATH=/builddir/build/BUILD/gnucash-3.0/lib64:/builddir/build/BUILD/gnucash-3.0/lib64/gnucash: GNC_UNINSTALLED=YES GNC_BUILDDIR=/builddir/build/BUILD/gnucash-3.0 GUILE_LOAD_PATH=/builddir/build/BUILD/gnucash-3.0/libgnucash/app-utils GUILE_LOAD_COMPILED_PATH=/builddir/build/BUILD/gnucash-3.0/lib64/gnucash/scm/ccache/2.2 GNC_MODULE_PATH=/builddir/build/BUILD/gnucash-3.0/lib64:/builddir/build/BUILD/gnucash-3.0/lib64/gnucash: /usr/bin/guile2.2 -e '(@@ (guild) main)' -s /usr/bin/guild2.2 compile -o /builddir/build/BUILD/gnucash-3.0/lib64/gnucash/scm/ccache/2.2/gnucash/gettext.go /builddir/build/BUILD/gnucash-3.0/libgnucash/app-utils/gettext.scm
make[2]: Leaving directory '/builddir/build/BUILD/gnucash-3.0'
Segmentation fault
make[2]: *** [libgnucash/app-utils/CMakeFiles/scm-gettext.dir/build.make:65: lib64/gnucash/scm/ccache/2.2/gnucash/gettext.go] Error 1
...

ppc64:
...
make[2]: Entering directory '/builddir/build/BUILD/gnucash-3.0'
[ 43%] Generating ../../lib64/gnucash/scm/ccache/2.2/gnucash/gettext.go
cd /builddir/build/BUILD/gnucash-3.0/libgnucash/app-utils && /usr/bin/cmake -E env LD_LIBRARY_PATH=/builddir/build/BUILD/gnucash-3.0/lib64:/builddir/build/BUILD/gnucash-3.0/lib64/gnucash: GNC_UNINSTALLED=YES GNC_BUILDDIR=/builddir/build/BUILD/gnucash-3.0 GUILE_LOAD_PATH=/builddir/build/BUILD/gnucash-3.0/libgnucash/app-utils GUILE_LOAD_COMPILED_PATH=/builddir/build/BUILD/gnucash-3.0/lib64/gnucash/scm/ccache/2.2 GNC_MODULE_PATH=/builddir/build/BUILD/gnucash-3.0/lib64:/builddir/build/BUILD/gnucash-3.0/lib64/gnucash: /usr/bin/guile2.2 -e '(@@ (guild) main)' -s /usr/bin/guild2.2 compile -o /builddir/build/BUILD/gnucash-3.0/lib64/gnucash/scm/ccache/2.2/gnucash/gettext.go /builddir/build/BUILD/gnucash-3.0/libgnucash/app-utils/gettext.scm
make[2]: Leaving directory '/builddir/build/BUILD/gnucash-3.0'
Segmentation fault
make[2]: *** [libgnucash/app-utils/CMakeFiles/scm-gettext.dir/build.make:65: lib64/gnucash/scm/ccache/2.2/gnucash/gettext.go] Error 1
...

Comment 6 Ben Cotton 2019-05-02 19:18:27 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2019-05-02 21:58:20 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2019-05-28 19:49:34 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.